Page MenuHomePhabricator

UX Guidelines working session and, potentially, presentation
Closed, ResolvedPublic

Description

Working session/Presentation about UX guidelines at WMF

The problem

It's not always clear what design styles and approaches to apply to projects at WMF. For a long time the design team members have worked on a collection of patterns and guidelines to use for consistency. We still have more work to do before it's complete, but want to collaborate and present what we have for all those interested in this progress.

Expected outcome

Collaboration and socialization of WMF style guide.

Current status of the discussion

The full plan is in progress.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 28 2016, 11:09 PM
Qgil added a subscriber: Qgil.

Is Wikimedia Design Style Guide related? Please add the tags that apply.

Qgil added a comment.Nov 10 2016, 11:34 AM

Please remember the next deadline in the selection process:

2016-11-14: Deadline for defining a good problem statement, expectations, and links to relevant resources.

That is next Monday.

@Qgil I will figure out if that tag is required, from my team. Is there any other missing info I need to fill in before the end of the day?

Qgil added a comment.Nov 14 2016, 9:18 PM

The expected outcome is unclear. Are you aiming to have a discussion only between the designers at the Wikimedia Foundation or do you want to include others as well? If you want to include others, then some background is needed.

For instance:

The full plan is in progress.

Where? And where is the discussion supposed to happen between now and the Summit? In this task or somewhere else? For the description above is not clear what are the points to be discussed.

A "Links" section is also expected, with links to the pages related to this discussion.

Qgil added a comment.Nov 22 2016, 2:55 PM

Note that "Building a sustainable user experience together" has been closed as a main topic. Specific session proposals still might be pre-scheduled, based on their own merit.

Today is the deadline Summit proposals aiming to be pre-scheduled to proof active interest. This proposal hasn't got any ongoing discussion. It still might be a good candidate for an Unconference session.

@pizzzacat Hey! As developer summit is less than four weeks from now, we are working on a plan to incorporate the ‘unconference sessions’ that have been proposed so far and would be generated on the spot. Thus, could you confirm if you plan to facilitate this session at the summit? Also, if your answer is 'YES,' I would like to encourage you to update/ arrange the task description fields to appear in the following format:

Session title
Main topic
Type of activity
Description Move ‘The Problem,' ‘Expected Outcome,' ‘Current status of the discussion’ and ‘Links’ to this section
Proposed by Your name linked to your MediaWiki URL, or profile elsewhere on the internet
Preferred group size
Any supplies that you would need to run the session e.g. post-its
Interested attendees (sign up below)

  1. Add your name here

We will be reaching out to the summit participants next week asking them to express their interest in unconference sessions by signing up.

To maintain the consistency, please consider referring to the template of the following task description: https://phabricator.wikimedia.org/T149564.

Aklapper removed pizzzacat as the assignee of this task.Feb 14 2017, 5:31 PM
Volker_E closed this task as Resolved.EditedFeb 14 2017, 7:53 PM
Volker_E claimed this task.

This has been partly merged into T154545: Discuss creating a UI/UX design hub unconference session, where I've talked as final point about the progress on Wikimedia Design Style Guide and pointed to its repo and the repo of WikimediaUI Base.